---
title: GET /campaigns
slug: content-marketing-platform/api/get-campaigns
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "EmF7FiaMyW5ws-0SeL1vW",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/campaigns",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/campaigns",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /campaigns",
    "description": "<p>Experimental Get a list of campaigns.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "owner",
          "type": "string",
          "example": "127a32121da23c3a543",
          "description": "Owner ID of the campaign"
        },
        {
          "kind": "optional",
          "name": "start_date",
          "type": "string",
          "example": "2022-08-24T00:00:00.000Z",
          "description": "<p>Start date of the campaign, in ISO 8601 UTC format</p>"
        },
        {
          "kind": "optional",
          "name": "end_date",
          "type": "string",
          "example": "2022-08-24T00:00:00.000Z",
          "description": "<p>End date of the campaign, in ISO 8601 UTC format</p>"
        },
        {
          "kind": "optional",
          "name": "offset",
          "type": "integer",
          "example": 5,
          "description": "<p>Starting index of results (zero indexed)</p>",
          "default": 0,
          "minimum": 0
        },
        {
          "kind": "optional",
          "name": "page_size",
          "type": "integer",
          "example": 15,
          "description": "Number of results to return per page",
          "default": 10,
          "minimum": 1,
          "maximum": 100
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "List of fetched campaigns",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "data",
                "kind": "required",
                "type": "array",
                "description": "List of campaigns",
                "modelRef": "#/components/schemas/CampaignListResponseItem",
                "customType": "CampaignListResponseItem[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the campaign",
                    "example": "8q7f910551b00a722e0418830cee6612"
                  },
                  {
                    "name": "title",
                    "kind": "required",
                    "type": "string",
                    "description": "Title of the campaign",
                    "example": "The awesome campaign"
                  },
                  {
                    "name": "description",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "Description of the campaign",
                    "example": "The awesome campaign's description"
                  },
                  {
                    "name": "start_date",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "<p>Start date of the campaign in ISO 8601 format: <code>YYYY-MM-DD</code></p>",
                    "example": "2019-10-06"
                  },
                  {
                    "name": "end_date",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "<p>End date of the campaign in ISO 8601 format: <code>YYYY-MM-DD</code></p>",
                    "example": "2019-10-16"
                  },
                  {
                    "name": "is_hidden",
                    "kind": "required",
                    "type": "boolean",
                    "description": "Whether the campaign is hidden or not",
                    "example": false
                  },
                  {
                    "name": "reference_id",
                    "kind": "required",
                    "type": "string",
                    "description": "Reference identifier of the campaign",
                    "example": "CPN-1589"
                  },
                  {
                    "name": "owner",
                    "kind": "required",
                    "type": "object",
                    "description": "Owner information of the campaign",
                    "example": "",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "optional",
                        "type": "string",
                        "description": "Unique identifier of the owner of the campaign",
                        "example": "8q7f910551b00a722e0418830cee8211"
                      }
                    ]
                  },
                  {
                    "name": "links",
                    "kind": "required",
                    "type": "object",
                    "description": "Meta links",
                    "example": "",
                    "schema": [
                      {
                        "name": "self",
                        "kind": "required",
                        "type": "string",
                        "description": "URL of the campaign",
                        "example": "https://api.cmp.optimizely.com/v3/campaigns/8q7f910551b00a722e0418830cee6612"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "pagination",
                "kind": "required",
                "type": "object",
                "description": "",
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "Pagination",
                    "description": "",
                    "modelRef": "#/components/schemas/Pagination",
                    "schema": [
                      {
                        "name": "next",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "URL to the next page",
                        "example": "https://api.cmp.optimizely.com/<some-path-to-next-page>?offset=10&page_size=10"
                      },
                      {
                        "name": "previous",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "URL to the previous page",
                        "example": ""
                      }
                    ]
                  },
                  {
                    "name": "object",
                    "description": "",
                    "schema": [
                      {
                        "name": "next",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "",
                        "example": "https://api.cmp.optimizely.com/v3/campaigns?offset=10&page_size=10"
                      }
                    ]
                  }
                ],
                "schema": []
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "MMNre5J4Y_IYbZHvCTcBj",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.cmp.optimizely.com/v3/campaigns?offset=5&page_size=10' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "Az8_Z6r93BeYs5Gfhys32",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/campaigns?offset=5&page_size=10\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "J9vsG189p7g1fJQvfR7JY",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/campaigns?offset=5&page_size=10\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "dQHoHl-PtWIRMIPvZNzlb",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/campaigns?offset=5&page_size=10\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "MMNre5J4Y_IYbZHvCTcBj"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// List of fetched campaigns\n{\n  \"data\": [\n    {\n      \"id\": \"8q7f910551b00a722e0418830cee6612\",\n      \"title\": \"The awesome campaign\",\n      \"description\": \"The awesome campaign's description\",\n      \"start_date\": \"2019-10-06\",\n      \"end_date\": \"2019-10-16\",\n      \"is_hidden\": false,\n      \"reference_id\": \"CPN-1589\",\n      \"owner\": {\n        \"id\": \"8q7f910551b00a722e0418830cee8211\"\n      },\n      \"links\": {\n        \"self\": \"https://api.cmp.optimizely.com/v3/campaigns/8q7f910551b00a722e0418830cee6612\"\n      }\n    }\n  ],\n  \"pagination\": {}\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}